[PC-BSD Commits] r3185 - in pbibuild/modules/openoffice3-en: . kmenu-dir overlay-dir overlay-dir/wordbook
svn at pcbsd.org
svn at pcbsd.org
Tue Jan 6 12:55:46 PST 2009
Author: kris
Date: 2009-01-06 12:55:45 -0800 (Tue, 06 Jan 2009)
New Revision: 3185
Added:
pbibuild/modules/openoffice3-en/kmenu-dir/08installdict
pbibuild/modules/openoffice3-en/overlay-dir/wordbook/
pbibuild/modules/openoffice3-en/overlay-dir/wordbook/README_en_US.txt
pbibuild/modules/openoffice3-en/overlay-dir/wordbook/dictionary.lst
pbibuild/modules/openoffice3-en/overlay-dir/wordbook/en_US.aff
pbibuild/modules/openoffice3-en/overlay-dir/wordbook/en_US.dic
pbibuild/modules/openoffice3-en/overlay-dir/wordbook/standard.dic
Modified:
pbibuild/modules/openoffice3-en/build.sh
pbibuild/modules/openoffice3-en/overlay-dir/PBI.SetupScript.sh
Log:
Improve the OO3 module / PBI, so that it includes the English Dictionary by default for spell-check, and add a small helper-script which allows the user to re-install the dict if it gets removed from the users profile at some point
Modified: pbibuild/modules/openoffice3-en/build.sh
===================================================================
--- pbibuild/modules/openoffice3-en/build.sh 2009-01-06 16:36:38 UTC (rev 3184)
+++ pbibuild/modules/openoffice3-en/build.sh 2009-01-06 20:55:45 UTC (rev 3185)
@@ -15,3 +15,7 @@
sed -e "s,CHANGEME,${OOVER},g" ${PBIDIR}/bin/soffice > /tmp/soffice
mv /tmp/soffice ${PBIDIR}/bin/soffice
chmod 755 ${PBIDIR}/bin/soffice
+
+sed -e "s,CHANGEME,OpenOffice-EN${PORTVER},g" ${PBIDIR}/bin/install-dict.sh > /tmp/install-dict.sh
+mv /tmp/install-dict.sh ${PBIDIR}/bin/install-dict.sh
+chmod 755 ${PBIDIR}/bin/install-dict.sh
Modified: pbibuild/modules/openoffice3-en/overlay-dir/PBI.SetupScript.sh
===================================================================
--- pbibuild/modules/openoffice3-en/overlay-dir/PBI.SetupScript.sh 2009-01-06 16:36:38 UTC (rev 3184)
+++ pbibuild/modules/openoffice3-en/overlay-dir/PBI.SetupScript.sh 2009-01-06 20:55:45 UTC (rev 3185)
@@ -38,10 +38,24 @@
ln -s /Programs/${PROGDIR}/.sbin/smath /usr/local/bin/smath
ln -s /Programs/${PROGDIR}/.sbin/swriter /usr/local/bin/swriter
-# Make sure any old sun.xml mime types are removed
-rm /usr/local/share/mimelnk/application/vnd.sun.xml*
-rm /usr/local/share/mimelnk/application/vnd.star*
-rm /usr/local/share/mimelnk/application/vnd.oasis.opendocument*
-rm /usr/local/share/mimelnk/application/vnd.ms-excel.desktop
-rm /usr/local/share/mimelnk/application/vnd.ms-powerpoint.desktop
-rm /usr/local/share/mimelnk/application/vnd.ms-word.desktop
+# Copy over the english wordbook to the users profile, since OO3 doesn't include a dictionary anymore
+cd /home
+for i in `ls`
+do
+
+ if [ ! -d "${i}/.openoffice.org/3/user/wordbook" ]
+ then
+ mkdir -p ${i}/.openoffice.org/3/user
+ cp -R /Programs/${PROGDIR}/wordbook ${i}/.openoffice.org/3/user/
+ chown -R ${i}:${i} ${i}/.openoffice.org
+ else
+ cp /Programs/${PROGDIR}/wordbook/en_* ${i}/.openoffice.org/3/user/wordbook/
+ cat ${i}/.openoffice.org/3/user/wordbook/dictionary.lst | grep "en_US" >/dev/null 2>/dev/null
+ if [ "$?" != "0" ]
+ then
+ echo "DICT en US en_US" >> ${i}/.openoffice.org/3/user/wordbook/dictionary.lst
+ fi
+ chown -R ${i}:${i} ${i}/.openoffice.org/user/wordbook
+ fi
+done
+
Property changes on: pbibuild/modules/openoffice3-en/overlay-dir/wordbook/standard.dic
___________________________________________________________________
Added: svn:mime-type
+ application/octet-stream
More information about the Commits
mailing list